Bug 1312193 - Create subpackage with contents of contrib
Create subpackage with contents of contrib
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: ansible (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
: 1476272 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-25 22:33 EST by Graeme Gillies
Modified: 2017-12-12 06:03 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 06:03:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Graeme Gillies 2016-02-25 22:33:46 EST
Hi,

We are interested in shipping/reusing the inventory modules that are in the ansible git repo under contrib, at

https://github.com/ansible/ansible/tree/devel/contrib

Because of licensing we can't directly take the inventory module we want in tree, so I was hoping it would be possible to create a subpackage from the ansible package called ansible-contrib (or something like that), that contains all the inventory and vault modules from the location in git above, so that way we can simply depend on that package and do a symlink to it from our ansible inventory path.

This would also allow people to have a source for getting upgrades to those inventory modules automatically though normal yum means.

Thanks,

Graeme
Comment 1 Toshio Ernie Kuratomi 2016-02-26 00:59:07 EST
contrib is shipped in the tarball so we don't have to get it from the repo.  (vault contrib scripts aren't present until 2.1.0 but you only need the inventory scripts for now, right?).

Where should we ship the files on disk?   docs?  libexecdir/ansible/{inventory,vault}/ ?
Comment 2 Toshio Ernie Kuratomi 2016-02-26 01:02:17 EST
Would we want to use rpm dependencies to make sure proper deps are installed?  (unlike modules, the dynamic inventory  scripts will only run on the controller.)  If  so, maybe we want a subpackage for each dynamic inventory script?  (at least, if it adds a dep)?
Comment 3 Kevin Fenzi 2016-02-27 11:29:14 EST
Well, there's some of them we can't ever satisfy the dependency's for... like vmware ones or osx ones. 

Do people typically use these exactly as is? Or do they tend to tweak them for their local needs?

I guess I would lean toward just one subpackage that has them as docs (or if they aren't that big, just adding them to docs in the main package). Sorting out requires could be difficult and many we just won't be able to satisfy in Fedora.
Comment 4 Graeme Gillies 2016-02-28 16:15:18 EST
I agree with the above, I am happy for them to just go in one subpackage with no dependencies, and let the user install needed dependencies for the inventory plugin they plan on using manually. I think that will keep things the sanest for everyone involved.

Weather they are in a docs package or a real subpackage I don't mind, I'm just not sure if fedora packaging policy will allow us to ship executable code (which most of the plugins are) as part of docs?

I'd prefer them to be packaged and shipped in a location where they can run directly (so I guess libexecdir) and not have to be copied somewhere else. This means as rpm package upgrades get shipped I get the latest inventory plugin code without having to resync it from another location

Cheers,

Graeme
Comment 5 Jim Perrin 2016-07-13 16:14:52 EDT
Yup. I agree, this would be very nice to have.
Comment 6 Kevin Fenzi 2016-07-19 16:17:02 EDT
So, sounds like everyone is ok with shipping a subpackage with them all in libexecdir with no deps added? We should also add a readme that notes deps will need to be installed manually, etc. 

If everyone is ok with that, I can try and look at doing that this weekend, or of course if anyone else wants to work on it before that and provide a patch, please feel free. ;)
Comment 7 Jim Perrin 2016-07-20 14:47:36 EDT
I started kicking around a patch for this, however most of them have either an .ini or .yml config file that's expected to be in the same path. I'd rather not put config files into libexecdir. What do folks think of /etc/ansible/contrib, and a ton of symlinks into libexecdir/name ?
Comment 8 Graeme Gillies 2016-07-20 21:59:17 EDT
I'm personally ok with /etc/ansible/contrib and symlinks, I'd been keen to hear what other people say.

I'm also ok if the files are just stored in /usr/share/ansible/contrib and it's up to the admin to manually copy them out or symlink into their inventory path (either system or local), but I guess that's a violation of Fedora Packaging Guidelines

Regards,

Graeme
Comment 9 Kevin Fenzi 2016-07-23 18:12:08 EDT
Can we do /etc/ansible/contrib for the config and somehow adjust things so it looks in /usr/share/ansible/contrib for the scripts themselves?

If not, I guess we could do symlinks.
Comment 10 Jan Kurik 2016-07-26 00:30:35 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 11 Jim Perrin 2016-07-28 11:49:07 EDT
There isn't any common structure to the scripts for how they reference the .ini, other than that they expect it to exist in the same dir as the script itself. For example, gce.py uses:

gce_ini_default_path = os.path.join(
      os.path.dirname(os.path.realpath(__file__)), "gce.ini")


While azure_rm.py uses:

def _load_settings(self):
        basename = os.path.splitext(os.path.basename(__file__))[0]
        path = basename + '.ini'
...


While they're all reasonably similar in nature, they're different enough that patching them isn't simple. I'm lazy, and it seems easier to give symlinks a shot rather than patch all the scripts.
Comment 12 Kevin Fenzi 2017-07-28 19:05:26 EDT
*** Bug 1476272 has been marked as a duplicate of this bug. ***
Comment 13 Fedora End Of Life 2017-11-16 14:05:07 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2017-12-12 06:03:53 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.